GET
/v1/appsbetaapiKeyworkspace
When to use
Find apps in the current workspace.
For agents
The list contains resources the caller can read.
Example
import { PermuteClient } from '@permute/sdk';
const orgClient = new PermuteClient({
apiKey: process.env.PERMUTE_API_KEY!,
});
const client = orgClient.withWorkspace(process.env.PERMUTE_WORKSPACE_ID!);
const result = await client.apps.list();Response
{
"data": {
"items": [
{
"id": "appl_abcdefghijklmnopqrstuvwx",
"workspaceId": "wksp_finance123",
"name": "Operations portal",
"description": "Internal operations portal",
"deployment": {
"status": "deploying",
"url": "https://operations-portal-abcdefghijklmnopqrstuvwx.permute.site",
"revisionId": "rvsn_draft123",
"error": null
},
"draft": {
"revisionId": "rvsn_draft123",
"sequence": 1
},
"createdAt": "2026-09-30T12:00:00.000Z",
"updatedAt": "2026-09-30T12:00:00.000Z"
}
]
}
}